- Qt 6.9
- Qt Wayland Compositor
- Obsolete Members for <QWaylandQuickExtension>
- Qt Wayland Compositor | Commercial or GPLv3

# Obsolete Members for <QWaylandQuickExtension>

The following members of class <QWaylandQuickExtension> are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Macros

`(deprecated in 6.8)` | Q_COMPOSITOR_DECLARE_QUICK_EXTENSION_NAMED_CLASS(className, QmlType)

## Macro Documentation

### `[deprecated in 6.8]` Q_COMPOSITOR_DECLARE_QUICK_EXTENSION_NAMED_CLASS(className, QmlType)

This macro is deprecated since 6.8. We strongly advise against using it in new code.

Use Q_COMPOSITOR_DECLARE_QUICK_EXTENSION_NAMED_ELEMENT instead.

This macro can be used to define a Qt Quick class based on a Wayland extension. It defines a new class which inherits from className and which suffixes the name with "QuickExtension".

The macro works the same as Q_COMPOSITOR_DECLARE_QUICK_EXTENSION_CLASS, but will also automatically register the new type as QmlType in the current QML module with QML_ADDED_IN_VERSION set to 1.0.